getEditorConfig
Description
A function that takes columns array as input and returns items for EditorThe function helps integrate an external Editor into Grid, it generates the editor configuration for each column based on the column settings specified in the columns array of Grid.
Parameters
The function takes the columns array as input and returns items for Editor.
Example
The example below shows how to define editor fields and initialize Editor:
import { useState } from "react";
import { Grid, getEditorConfig } from "@svar-ui/react-grid"; // import the helper
import { getData } from "../data";
import { Editor } from "@svar-ui/react-editor";
const { data } = getData();
const columns = [
  { id: "id", width: 50 },
  {
    id: "firstName",
    header: "Name",
    editor: "text", // Editor control that will be used for this field
    width: 160,
  },
  {
    id: "country",
    header: "Country",
    editor: "textarea", // Editor control that will be used for this field
    options: countries,
    width: 160,
  },
];
const items = getEditorConfig(columns);
const [dataToEdit, setDataToEdit] = useState(null);
function App() {
  return (
    <>
      <Grid data={data} columns={columns} />
      {dataToEdit && <Editor values={dataToEdit} items={items} />}
    </>
  );
}
Related articles:

Skip to main content

getEditorConfig

Description

A function that takes columns array as input and returns items for Editor

The function helps integrate an external Editor into Grid, it generates the editor configuration for each column based on the column settings specified in the columns array of Grid.

Parameters

The function takes the columns array as input and returns items for Editor.

Example

The example below shows how to define editor fields and initialize Editor:

<script setup>
import { Grid, getEditorConfig } from "@svar-ui/vue-grid"; // import the helper
import { getData } from "../data";
const { data } = getData();

const columns = [
{ id: "id", width: 50 },
{
id: "firstName",
header: "Name",
editor: "text", //Editor control that will be used for this field
width: 160,
},
{
id: "country",
header: "Country",
editor: "textarea", //Editor control that will be used for this field
options: countries,
width: 160,
},

];

const items = getEditorConfig(columns);
const dataToEdit = ref(null);

</script>

<template>
<Grid :data="data" :columns="columns" />
<Editor v-if="dataToEdit" :values="dataToEdit" :items="items" />
</template>

Related articles: